## org.exist.storage
Interface SystemTask

All Known Implementing Classes:
  DataBackup

public interface SystemTask

Interface to be implemented by tasks used for system maintenance. System tasks require the database to be in a consistent state. All database operations will be stopped until the `execute(DBBroker)` method returned or throws an exception. Any exception will be caught and a warning written to the log. A task can be scheduled for execution via `BrokerPool.triggerSystemTask(SystemTask)`

Author:
  wolf

Method Summary
`void` `configure(Configuration config, java.util.Properties properties)`
`void` `execute(DBBroker broker)` Execute this task.

Method Detail

### configure

    public void configure(Configuration config,
                          java.util.Properties properties)
                   throws EXistException

  Throws:
    `EXistException`

### execute

    public void execute(DBBroker broker)
                 throws EXistException

  Execute this task.

  Parameters:
    `broker` - a DBBroker object that can be used
  Throws:
    `EXistException`

Copyright (C) Wolfgang Meier. All rights reserved.